# smbcontrol

## Name

smbcontrol -- send messages to smbd, nmbd or winbindd processes

## Synopsis

smbcontrol [-d <debug level>] [-s <smb config file>] {-i}

smbcontrol [-d <debug level>] [-s <smb config file>] {destination} {message-type} [parameter]

## DESCRIPTION

This tool is part of the Samba suite.

smbcontrol is a very small program, which sends messages to an smbd(8), an nmbd(8) or a winbindd(8) daemon running on the system.

## OPTIONS

-d <debuglevel>

  debuglevel is an integer from 0 to 10.

-s <smb.conf>

  This parameter specifies the pathname to the Samba configuration file, smb.conf(5). This file controls all aspects of the Samba setup on the machine.

-i

  Run interactively. Individual commands of the form destination message-type parameters can be entered on STDIN. An empty command line or a "q" will quit the program.

destination

  One of `nmbd` `smbd` or a process ID.

  The `smbd` destination causes the message to "broadcast" to all smbd daemons.

  The `nmbd` destination causes the message to be sent to the nmbd daemon specified in the `nmbd.pid` file.

  If a single process ID is given, the message is sent to only that process.

message-type

  One of: `close-share`, `debug`, `force-election`, `ping` , `profile`, `debuglevel`, `profilelevel`, or `printer-notify`.

  The `close-share` message-type sends a message to smbd which will then close the client connections to the named share. Note that this doesn't affect client connections to any other shares. This message-type takes an argument of the share name for which client connections will be closed, or the "*" character which will close all currently open shares. This may be useful if you made changes to the access controls on the share. This message can only be sent to `smbd`.

  The `debug` message-type allows the debug level to be set to the value specified by the parameter. This can be sent to any of the destinations.

  The `force-election` message-type can only be sent to the `nmbd` destination. This message causes the nmbd daemon to force a new browse master election.

  The `ping` message-type sends the number of "ping" messages specified by the parameter and waits for the same number of reply "pong" messages. This can be sent to any of the destinations.

  The `profile` message-type sends a message to an smbd to change the profile settings based on the parameter. The parameter can be "on" to turn on profile stats collection, "off" to turn off profile stats collection, "count" to enable only collection of count stats (time stats are disabled), and "flush" to zero the current profile stats. This can be sent to any smbd or nmbd destinations.

  The `debuglevel` message-type sends a "request debug level" message. The current debug level setting is returned by a "debuglevel" message. This can be sent to any of the destinations.

  The `profilelevel` message-type sends a "request profile level" message. The current profile level setting is returned by a "profilelevel" message. This can be sent to any smbd or nmbd destinations.

  The `printer-notify` message-type sends a message to smbd which in turn sends a printer notify message to any Windows NT clients connected to a printer. This message-type takes an argument of the printer name to send notify messages to. This message can only be sent to `smbd`.

parameters

  any parameters required for the message-type

## VERSION

This man page is correct for version 2.2 of the Samba suite.

## SEE ALSO

nmbd(8), and smbd(8).

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The original Samba man pages were written by Karl Auer. The man page sources were converted to YODL format (another excellent piece of Open Source software, available at ftp://ftp.icce.rug.nl/pub/unix/) and updated for the Samba 2.0 release by Jeremy Allison. The conversion to DocBook for Samba 2.2 was done by Gerald Carter